# GCC_CapabilityID Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_standard, e_nonStandard }

## Public Member Functions

| GCC_CapabilityID (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_Key & ()
| operator const GCC_Key & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_CapabilityID::Choices

Enumerator:

  e_standard |
  e_nonStandard |

## Constructor & Destructor Documentation

GCC_CapabilityID::GCC_CapabilityID | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_CapabilityID::operator GCC_Key & | ( |  | ) |

GCC_CapabilityID::operator const GCC_Key & | ( |  | ) | const

PBoolean GCC_CapabilityID::CreateObject | ( |  | ) |

PObject* GCC_CapabilityID::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h